## org.jfree.report.expressions.sys
Class GetValueExpression

    java.lang.Object
      org.jfree.report.expressions.AbstractExpression
          org.jfree.report.expressions.sys.GetValueExpression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Expression

    public class GetValueExpression

extends AbstractExpression

Creation-Date: 02.12.2006, 22:07:57

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`GetValueExpression()`
`GetValueExpression(java.lang.String field)`

Method Summary
`java.lang.Object` `computeValue()` Return the current expression value.
`java.lang.String` `getField()`
`void` `setField(java.lang.String field)`

Methods inherited from class org.jfree.report.expressions.AbstractExpression
`clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetValueExpression

    public GetValueExpression()

### GetValueExpression

    public GetValueExpression(java.lang.String field)

Method Detail

### getField

    public java.lang.String getField()

### setField

    public void setField(java.lang.String field)

### computeValue

    public java.lang.Object computeValue()
                                  throws DataSourceException

  Return the current expression value.

  The value depends (obviously) on the expression implementation.

  Returns:
    the value of the function.
  Throws:
    `DataSourceException`